%global src_name incremental

Summary:        It versions your Python projects
Name:           python-incremental
Version:        22.10.0
Release:        2%{?dist}
License:        MIT
URL:            https://github.com/twisted/incremental
Source0:        https://files.pythonhosted.org/packages/source/i/%{src_name}/%{src_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel python3-setuptools

%description
Incremental is a small library that versions your Python projects.

%package -n     python3-incremental
Summary:        It versions your Python projects

%description -n python3-incremental
Incremental is a small library that versions your Python projects.

%prep
%autosetup -n %{src_name}-%{version}
rm -rf incremental.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-incremental
%license LICENSE
%doc README.rst
%{python3_sitelib}/incremental
%{python3_sitelib}/incremental-%{version}-py%{python3_version}.egg-info/

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 22.10.0-2
- Rebuilt for loongarch release

* Mon Sep 25 2023 jackeyji <jackeyji@tencent.com> - 22.10.0-1
- upgrade to 22.10.0

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 21.3.0-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 21.3.0-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 21.3.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 21.3.0-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Dec 6 2022 Feng Weiyao <wynnfeng@tencent.com> - 21.3.0-1
- package init.

